Request access to a team
POST
https://api.vercel.com/v1/teams/{teamId}/requestRequest access to a team as a member. An owner has to approve the request. Only 100 users can request access to a team at the same time.
https://api.vercel.com/v1/teams/{teamId}/request
const response = await fetch('https://api.vercel.com/v1/teams/teamId/request', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "joinedFrom": { "origin": "github", "commitId": "f498d25d8bd654b578716203be73084b31130cd7", "repoId": "67753070", "repoPath": "jane-doe/example", "gitUserId": "example_id", "gitUserLogin": "jane-doe" } }),});
const data = await response.json();console.log(data);Response
{ "accessRequestedAt": "123", "bitbucket": { "login": "string" }, "confirmed": "false", "github": { "login": "string" }, "gitlab": { "login": "string" }, "joinedFrom": { "commitId": "example_id", "dsyncConnectedAt": "123", "dsyncUserId": "example_id", "gitUserId": "example_id", "gitUserLogin": "string", "idpUserId": "example_id", "origin": "account-update", "repoId": "example_id", "repoPath": "string", "ssoConnectedAt": "123", "ssoUserId": "example_id" }, "teamName": "Example Name", "teamSlug": "string"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401Error
403You do not have permission to access this resource.
404The team was not found.
410Error
429Error
503Error